Loading...
Searching...
No Matches
generic_binary_traits< dot_ >::hint

## Detailed Description

Definition at line 1465 of file expression.h.

## Public Types

typedef scalar_traits< A1 >::type | S1
typedef scalar_traits< A2 >::type | S2
typedef scalar_traits< R >::type | S
typedef details::and_type< details::or_type< details::is_point< A1 >, is_undeterminated< A1 > >, details::or_type< details::is_point< A2 >, is_undeterminated< A2 > >, details::or_type< details::is_scalar< R >, is_undeterminated< R > > >::type | is_good
typedef std::conditional< is_undeterminated< A1 >::value, typenamestd::conditional< is_good::value, point_basic< S1 >, binop_error< details::dot_, A1, A2, R > >::type, A1 >::type | first_argument_type
typedef std::conditional< is_undeterminated< A2 >::value, typenamestd::conditional< is_good::value, point_basic< S2 >, binop_error< details::dot_, A1, A2, R > >::type, A2 >::type | second_argument_type
typedef std::conditional< is_undeterminated< R >::value, typenamestd::conditional< is_good::value, S, binop_error< details::dot_, A1, A2, R > >::type, R >::type | result_type

## Member Typedef Documentation

## S1

typedef scalar_traits<A1>::type S1

Definition at line 1466 of file expression.h.

## S2

typedef scalar_traits<A2>::type S2

Definition at line 1467 of file expression.h.

## S

typedef scalar_traits<R>::type S

Definition at line 1468 of file expression.h.

## is_good

typedef details::and_type<details::or_type<details::is_point<A1>,is_undeterminated<A1>>,details::or_type<details::is_point<A2>,is_undeterminated<A2>>,details::or_type<details::is_scalar<R>,is_undeterminated<R>>>::type is_good

Definition at line 1482 of file expression.h.

## first_argument_type

typedef std::conditional<is_undeterminated<A1>::value,typenamestd::conditional<is_good::value,point_basic<S1>,binop_error<details::dot_,A1,A2,R>>::type,A1>::type first_argument_type

Definition at line 1491 of file expression.h.

## second_argument_type

typedef std::conditional<is_undeterminated<A2>::value,typenamestd::conditional<is_good::value,point_basic<S2>,binop_error<details::dot_,A1,A2,R>>::type,A2>::type second_argument_type

Definition at line 1500 of file expression.h.

## result_type

typedef std::conditional<is_undeterminated<R>::value,typenamestd::conditional<is_good::value,S,binop_error<details::dot_,A1,A2,R>>::type,R>::type result_type

Definition at line 1509 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/expression.h